package com.izouma.awesomeadmin.dao;

import com.izouma.awesomeadmin.model.DataSourceInfo;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;


/**
 * Dao接口
 */
@Component
@Repository("com.zoumaframe.dao.DataSourceInfoMapper")
public interface DataSourceInfoMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(DataSourceInfo record);

    DataSourceInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(DataSourceInfo record);

    List<DataSourceInfo> queryAllDataSourceInfo(DataSourceInfo record);

    List<DataSourceInfo> queryDataSourceInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    DataSourceInfo queryDataSourceInfo(DataSourceInfo record);

    List<DataSourceInfo> query(DataSourceInfo record);
}

